<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">

		<title>Simon</title>

		<link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Ubuntu|Nunito">

		<style type="text/css">
			:root{
				--body-bgcolor:#414141;
			}
			body{
				font-family:"Nunito";
				background-color:var(--body-bgcolor);
			}
			main{
				width:50%;
				margin:auto;
			}
			section{
				padding:0px;
				font-size:0px;
			}
			section > *{
				font-size:initial;
				font-family:"Nunito";
			}
			h1{
				text-align:center;
				color:white;
			}
			button{
				outline:none;
			}
			.activated{
				opacity:0.5;
			}

			/* ************************************ */
				#lv1{
					width:400px;
				}
				#lv1 > .button:active{
					opacity:0.5;
				}
				#lv1 > .button{
					display:inline-block;
					width:200px;
					height:200px;
					margin:0px;
				}
				#lv1 > #rouge{
					background-color:red;
					border-radius:100% 0 0 0;
				}
				#lv1 > #bleu{
					background-color:blue;
					border-radius:0 100% 0 0;
				}
				#lv1 > #vert{
					background-color:green;
					border-radius:0 0 0 100%;
				}
				#lv1 > #jaune{
					background-color:yellow;
					border-radius:0 0 100% 0;
				}

				#lv1 > #c0{
					background-color:red;
					border-radius:100% 0 0 0;
				}
				#lv1 > #c1{
					background-color:blue;
					border-radius:0 100% 0 0;
				}
				#lv1 > #c2{
					background-color:green;
					border-radius:0 0 0 100%;
				}
				#lv1 > #c3{
					background-color:yellow;
					border-radius:0 0 100% 0;
				}

			/* ************************************ */
				#lv2{
					width:600px;
				}
				#lv2 > .button:active{
					opacity:0.5;
				}
				#lv2 > .button{
					display:inline-block;
					width:200px;
					height:200px;
					margin:0px;
				}
				#lv2 > #rouge{
					background-color:red;
					border-radius:100% 0 0 0;
				}
				#lv2 > #bleu{
					background-color:blue;
				}
				#lv2 > #vert{
					background-color:green;
					border-radius:0 100% 0 0;
				}
				#lv2 > #jaune{
					background-color:yellow;
					border-radius:0 0 0 100%;
				}
				#lv2 > #jaune2{
					background-color:yellow;
				}
				#lv2 > #jaune3{
					background-color:yellow;
					border-radius:0 0 100% 0;
				}

				#lv2 > #cl0{
					background-color:red;
					border-radius:100% 0 0 0;
				}
				#lv2 > #cl1{
					background-color:blue;
				}
				#lv2 > #cl2{
					background-color:green;
					border-radius:0 100% 0 0;
				}
				#lv2 > #cl3{
					background-color:yellow;
					border-radius:0 0 0 100%;
				}
				#lv2 > #cl4{
					background-color:yellow;
				}
				#lv2 > #cl5{
					background-color:yellow;
					border-radius:0 0 100% 0;
				}

			/* ************************************ */
				#lv3{
					width:600px;
				}
				#lv3 > .button:active{
					opacity:0.5;
				}
				#lv3 > .button{
					display:inline-block;
					width:200px;
					height:200px;
					margin:0px;
				}
				#lv3 > #rouge{
					background-color:red;
					border-radius:100% 0 0 0;
				}
				#lv3 > #bleu{
					background-color:blue;
				}
				#lv3 > #vert{
					background-color:green;
					border-radius:0 100% 0 0;
				}
				#lv3 > #jaune{
					background-color:yellow;
				}
				#lv3 > #jaune2{
					background-color:yellow;
				}
				#lv3 > #jaune3{
					background-color:yellow;
				}
				#lv3 > #jaune4{
					background-color:yellow;
					border-radius:0 0 0 100%;
				}
				#lv3 > #jaune5{
					background-color:yellow;
				}
				#lv3 > #jaune6{
					background-color:yellow;
					border-radius:0 0 100% 0;
				}

			/* ************************************ */
				#lv4{
					width:600px;
				}
				#lv4 > .button:active{
					opacity:0.5;
				}
				#lv4 > .button{
					display:inline-block;
					width:200px;
					height:200px;
					margin:0px;
				}
				#lv4 > #rouge{
					background-color:red;
				}
				#lv4 > #rouge1{
					background-color:red;
					border-radius:100% 0 0 0;
				}
				#lv4 > #rouge2{
					background-color:red;
					border-radius:0 100% 0 0;
				}
				#lv4 > #rouge3{
					background-color:red;
					border-radius:0 0 0 100%;
				}
				#lv4 > #rouge4{
					background-color:red;
					border-radius:0 0 100% 0;
				}

			#menu{
				top:0;
				bottom:0;
				/*background-color:#f98;*/
				/*padding:1% 1% 1%;*/
				text-align:center;
				position:fixed;
				left:0;
				width:20%;
				z-index:900;
				line-height:110px;
				/*margin:1% 0;
				border-radius:10px;*/
			}

			#menu > button{
				margin:10px;
				border-radius:10px;
				width:50%;
				height:4%;
			}
		</style>
	</head>
	<body>
		<main>
			<h1>Le Jeu du Simon</h1>
			<section id="menu">
				<h1>Menu</h1>
				<button class="button" id="btn1">Lv1</button>
				<button class="button" id="btn2">Lv2</button>
				<button class="button" id="btn3">Lv3</button>
				<button class="button" id="btn4">Lv4</button>
				<p></p>
				<button class="button" id="start">Start</button>
			</section>
			<section id="lv1" style="display:none;">
				<button class="button" id="c0"></button>
				<button class="button" id="c1"></button>
				<button class="button" id="c2"></button>
				<button class="button" id="c3"></button>
			</section>
			<section id="lv2" style="display:none;">
				<button class="button" id="cl0"></button>
				<button class="button" id="cl1"></button>
				<button class="button" id="cl2"></button>
				<button class="button" id="cl3"></button>
				<button class="button" id="cl4"></button>
				<button class="button" id="cl5"></button>
			</section>
			<section id="lv3" style="display:none;">
				<button class="button" id="rouge"></button>
				<button class="button" id="bleu"></button>
				<button class="button" id="vert"></button>
				<button class="button" id="jaune"></button>
				<button class="button" id="jaune2"></button>
				<button class="button" id="jaune3"></button>
				<button class="button" id="jaune4"></button>
				<button class="button" id="jaune5"></button>
				<button class="button" id="jaune6"></button>
			</section>
			<section id="lv4" style="display:none;">
				<button class="button" id="rouge1"></button>
				<button class="button" id="rouge"></button>
				<button class="button" id="rouge2"></button>
				<button class="button" id="rouge"></button>
				<button class="button" id="rouge"></button>
				<button class="button" id="rouge"></button>
				<button class="button" id="rouge3"></button>
				<button class="button" id="rouge"></button>
				<button class="button" id="rouge4"></button>
			</section>
		</main>
		<script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/3.1.1/jquery.min.js"></script>
		<script type="text/javascript">
			var p = [0,1,2,3];
			var ordi = [];

			function shuffle(a){
				for(let i = a.length;i;i--){
					let j = Math.floor(Math.random() * i);
					[a[i - 1],a[j]] = [a[j],a[i - 1]];
				}
			}

			var id = function(id){
				return document.getElementById(id);
			}

			var event = function(id,name,funcion){
				return document.getElementById(id).addEventListener(name,funcion);
			}

			var init = function(){
				id("rouge").style.backgroundColor = getRandomColor();
				id("bleu").style.backgroundColor = getRandomColor();
				id("vert").style.backgroundColor = getRandomColor();
				id("jaune").style.backgroundColor = getRandomColor();
				id("jaune2").style.backgroundColor = getRandomColor();
				id("jaune3").style.backgroundColor = getRandomColor();
				id("jaune4").style.backgroundColor = getRandomColor();
				id("jaune5").style.backgroundColor = getRandomColor();
				id("jaune6").style.backgroundColor = getRandomColor();

				shuffle(p);
			}

			function getRandomColor(){
				var letters = "0123456789ABCDEF";
				var color = "#";
				for(var i = 0;i < 6;i++){
					color += letters[Math.floor(Math.random() * 16)];
				}
				return color;
			}

			var lv1 = function(){
				id("lv2").style.display = "none";
				id("lv3").style.display = "none";
				id("lv4").style.display = "none";
				id("lv1").style.display = "block";
			}

			var lv1e = function(){
				setTimeout(
					function(){
						for(var i = 0;i < 20;i++){
							ordi[i] = Math.floor(Math.random() * 4);
						}

						var c = 4;

						while(c < 5){
							for(var l = 0;l < c;l++){
								/*p.style.opacity = "1";*/

								/*setTimeout(
									function(){
										$("#c" + ordi[l]).addClass("activated");
										setTimeout(
											function(){
												$("#c" + ordi[l]).removeClass("activated");
											},500
										);
									},1000
								);*/

								setTimeout(
									function(){
										for(var l = 0;l < c;l++){
											var p = id("c" + ordi[l]);
											p.style.opacity = "1"
										}
									},500 * l
								);
								setTimeout(
									function(){
										for(var l = 0;l < c;l++){
											var p = id("c" + ordi[l]);
											p.style.opacity = "0.5"
										}
									},(500 * l) + 250
								);

								console.log(ordi);
								console.log(ordi[l]);
								console.log(l);
								console.log(500 * l);
								console.log(p);
							}
							console.log(c);
							c++;
						}
					},1000
				);
			}

			var lv2 = function(){
				id("lv1").style.display = "none";
				id("lv3").style.display = "none";
				id("lv4").style.display = "none";
				id("lv2").style.display = "block";
			}

			var lv3 = function(){
				id("lv1").style.display = "none";
				id("lv2").style.display = "none";
				id("lv4").style.display = "none";
				id("lv3").style.display = "block";
			}

			var lv4 = function(){
				id("lv1").style.display = "none";
				id("lv2").style.display = "none";
				id("lv3").style.display = "none";
				id("lv4").style.display = "block";
			}

			event("btn1","click",lv1);
			event("start","click",lv1e);
			event("btn2","click",lv2);
			event("btn3","click",lv3);
			event("btn4","click",lv4);

			init();

			//console.log(p);
		</script>
	</body>
</html>